Dotcom Support Forums

To post in the forums you need to register and log in .

HomeHomeLicence MasterLicence MasterLicence Master ...Licence Master ...Errors in dnn logErrors in dnn log
Previous
 
Next
New Post
20/02/2011 17:48
 

 Module installed and registered/activated.

DNN 561, event log is full of:

System.Exception: Error Creating BusinessControllerClass 'Dotcom.Modules.LicenceMasterSnowcoveredAdaptor.AdaptorController' of module(Dotcom.LicenceMasterSnowcoveredAdaptor) id=(582) in tab(147) and portal(0) ---> System.ArgumentNullException: Value cannot be null. Parameter name: type at System.Activator.CreateInstance(Type type, Boolean nonPublic) at DotNetNuke.Framework.Reflection.CreateObject(String TypeName, String CacheKey) at DotNetNuke.Services.Search.ModuleIndexer.GetModuleList(Int32 PortalID) --- End of inner exception stack trace --- at DotNetNuke.Services.Search.ModuleIndexer.GetModuleList(Int32 PortalID)

 
New Post
22/02/2011 19:17
 

 Any chance to get a response or is there another support channel that I should use ?

 
New Post
23/02/2011 11:02
 

Hi Chris,

Interesting, this is the DNN Search service attempting to index content for the Licence Master SC Adaptor. It shouldn't do that as the module deliberately does not support the ISearchable interface. I will investigate why DNN is doing this, and will report back here.

In the meantime, rest assured that the module's functioning will not be affected by this.

 


Dotcom Technical Support
 
New Post
23/02/2011 12:06
 

Chris,

I believe this is due to a module packaging error. I will release a new version to correct this shortly, but in the meantime, if you want to solve the problem, edit the module definition as a host user, change the business controller class definition to Dotcom.Modules.SnowCoveredLicenceMasterAdaptor.AdaptorController, and save the module definition.

Let me know if you have any problems.

 


Dotcom Technical Support
 
New Post
08/11/2011 21:35
 

Licence Master Snowcovered Adaptor v1.1 solves this issue.

Note that Licence Master 1.2.1 is required to support this version. Both are available at our product downloads page.


Dotcom Technical Support
 
Previous
 
Next
HomeHomeLicence MasterLicence MasterLicence Master ...Licence Master ...Errors in dnn logErrors in dnn log



 Search   Home